delay1
Prev | Orchestra Opcodes and Operators | Next

## delay1

delay1 — Delays an input signal by one sample.

## Description

Delays an input signal by one sample.

## Syntax

    ares delay1 asig [, iskip]

## Initialization

iskip (optional, default=0) -- initial disposition of delay-loop data space (see reson). The default value is 0.

## Performance

delay1 is a special form of delay that serves to delay the audio signal asig by just one sample. It is thus functionally equivalent to the delay opcode but is more efficient in both time and space. This unit is particularly useful in the fabrication of generalized non-recursive filters.

## Examples

Here is an example of the delay and delay1 opcodes. It uses the file delay1.csd.

Example 208. Example of the delay1 opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; For Non-realtime ouput leave only the line below:
    -o delay.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 2
    0dbfs  = 1

    instr 1
      ; Make white noise.
      a0    random -1, 1

      ; Simple Lowpass filter
      a1    delay1  a0
      aout  =       (a0+0.99*a1)/2

      ; output white and filtered
            outs    aout, a0
    endin

    </CsInstruments>
    <CsScore>
    ; Play Instrument #1.
    i 1 0.0 3

    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

delay, delayr, delayw

## Credits

Author: Barry Vercoe

Example written by John ffitch.

Prev | Up | Next
delay | Home | delayk